Subject: Re: (Fwd) a bug merged in

From: Zheng Gengbing <[email-masked]>
Date: Mon, 13 May 1996 10:01:30 +0800 (EAT)

On Sun, 12 May 1996, Guansong Zhang wrote:

> This bug has become one of major problems affecting us go though test90
> completely, please check this.
> 
> 
> Guansong
> 
> --- Forwarded mail from <[email-masked]> ("Guansong Zhang")
> 
> From: "Guansong Zhang" <[email-masked]>
> Date: Tue, 7 May 1996 18:18:59 -0400
> To: [email-masked], [email-masked],
>  [email-masked], [email-masked]
> Subject: a bug merged in
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> 
> see the following program:
> 
> ++++++++++++++++++++++++++++++++++++++
>   PROGRAM FMVAR
>    PRINT  "aaaaaaaa=", x ! format is string -- passed !
>    PRINT *, (A, i = 1,100,2)
> 
>   END
> 
> ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
>       program FMVAR
>       print ,, x
>       print *, (A, i=1,100,2)
>       end
> 
> ======================================
> 
> And dumpdep result:
> 
> ***L0W-LEVEL NODES***
> 
>     id    var    type    symb    ll1     ll2                     tag...
>     1-E   305     5-T   ","                      STRING_VAL
>     2-E   813    ----    ----     1-E    ----                      KIND_VAL
>     3-E   307     2-T     4-S    ----    ----                       VAR_REF
>     4-E   312     9-T    ----     3-E    ----                     EXPR_LIST
> 
> This is once fixed by HIT, and it now come back. 1-E should be the whole string
> instead of just a ,
> 
> This problem also accured in format statement. It is too simple to be wrong for
> a out side viewer. Please fix it first.
> 
>

	Since I am not familar with the lex , I can not have a hand on 
this .
But as I check , the version of HIT before merge also exist such problem.
In fact , I did not touch the I/O part of the f90.y when merge .

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************